import Vue from 'vue';
import { Dialog, Menu, MenuItem, Submenu, Input, InputNumber, Radio, RadioGroup, Select, Option, Button, ButtonGroup, Table, TableColumn, DatePicker, Form, FormItem, Tag, Row, Col, Upload, Card, Container, Header, Aside, Main, Dropdown, DropdownMenu, DropdownItem, Tooltip, Switch, Badge, Pagination, Tabs, TabPane, Loading, Checkbox, Message, Notification, MessageBox } from 'element-ui';
import VJsoneditor from 'v-jsoneditor';
import { __decorate } from 'tslib';
import { Prop, Component, Vue as Vue$1 } from 'vue-property-decorator';

Vue.use(Dialog);
Vue.use(Menu);
Vue.use(MenuItem);
Vue.use(Submenu);
Vue.use(Input);
Vue.use(InputNumber);
Vue.use(Radio);
Vue.use(RadioGroup);
Vue.use(Select);
Vue.use(Option);
Vue.use(Button);
Vue.use(ButtonGroup);
Vue.use(Table);
Vue.use(TableColumn);
Vue.use(DatePicker);
Vue.use(Form);
Vue.use(FormItem);
Vue.use(Tag);
Vue.use(Row);
Vue.use(Col);
Vue.use(Upload);
Vue.use(Card);
Vue.use(Container);
Vue.use(Header);
Vue.use(Aside);
Vue.use(Main);
Vue.use(Dropdown);
Vue.use(DropdownMenu);
Vue.use(DropdownItem);
Vue.use(Tooltip);
Vue.use(Switch);
Vue.use(Badge);
Vue.use(Pagination);
Vue.use(Tabs);
Vue.use(TabPane);
Vue.use(Loading.directive);
Vue.use(Checkbox);
const MsgBox = MessageBox;
Vue.prototype.$prompt = MsgBox.prompt;
Vue.prototype.$alert = MsgBox.alert;
Vue.prototype.$message = Message;
Vue.prototype.$notify = Notification;
// locale.use(lang)

Vue.use(VJsoneditor);

var Size;
(function (Size) {
    Size["BIG"] = "big";
    Size["MEDIUM"] = "medium";
    Size["SMALL"] = "small";
})(Size || (Size = {}));

var ButtonTypes;
(function (ButtonTypes) {
    ButtonTypes["PRIMARY"] = "primary";
    ButtonTypes["SECONDARY"] = "secondary";
    ButtonTypes["TERTIARY"] = "tertiary";
    ButtonTypes["DELETE"] = "delete";
})(ButtonTypes || (ButtonTypes = {}));
var ButtonNativeTypes;
(function (ButtonNativeTypes) {
    ButtonNativeTypes["BUTTON"] = "button";
    ButtonNativeTypes["SUBMIT"] = "submit";
    ButtonNativeTypes["RESET"] = "reset";
})(ButtonNativeTypes || (ButtonNativeTypes = {}));
const ButtonSize = Size;

let MyButton = class MyButton extends Vue$1 {
    constructor() {
        super(...arguments);
        this.ButtonTypes = ButtonTypes;
        this.elementIcon = '';
    }
    get computedSize() {
        if (this.size === ButtonSize.BIG ||
            !Object.values(ButtonSize).includes(this.size)) {
            return '';
        }
        return this.size;
    }
    get computedType() {
        if (this.type === ButtonTypes.PRIMARY) {
            return this.type;
        }
        return 'plain';
    }
    get computedClasses() {
        const cssClasses = [];
        if (Object.values(ButtonSize).includes(this.size)) {
            cssClasses.push(this.size);
        }
        if (Object.values(ButtonTypes).includes(this.type)) {
            cssClasses.push(this.type);
        }
        if (this.isLoading) {
            cssClasses.push('loading');
        }
        return cssClasses;
    }
    get availableIcon() {
        if (!this.icon) {
            return '';
        }
        if (this.icon.startsWith('el-')) {
            this.elementIcon = this.icon;
            return '';
        }
        // TODO: add checks for invalid icons
        this.elementIcon = '';
        return `icon-${this.icon}`;
    }
    get isLoading() {
        if (this.type === ButtonTypes.TERTIARY) {
            return false;
        }
        return this.loading;
    }
    handleClick() {
        this.$emit('click');
    }
};
__decorate([
    Prop({ default: ButtonTypes.PRIMARY, type: String })
], MyButton.prototype, "type", void 0);
__decorate([
    Prop({ default: ButtonSize.BIG, type: String })
], MyButton.prototype, "size", void 0);
__decorate([
    Prop({ default: '', type: String })
], MyButton.prototype, "icon", void 0);
__decorate([
    Prop({ default: false, type: Boolean })
], MyButton.prototype, "disabled", void 0);
__decorate([
    Prop({ default: false, type: Boolean })
], MyButton.prototype, "loading", void 0);
__decorate([
    Prop({ default: false, type: Boolean })
], MyButton.prototype, "autofocus", void 0);
__decorate([
    Prop({ default: '', type: String })
], MyButton.prototype, "tooltip", void 0);
__decorate([
    Prop({ default: ButtonNativeTypes.BUTTON, type: String })
], MyButton.prototype, "nativeType", void 0);
MyButton = __decorate([
    Component
], MyButton);
var script = MyButton;

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__ = script;

/* template */
var __vue_render__ = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "el-tooltip",
    {
      attrs: {
        content: _vm.tooltip,
        placement: "right",
        disabled: !_vm.tooltip
      }
    },
    [
      _c(
        "el-button",
        {
          class: _vm.computedClasses,
          attrs: {
            type: _vm.computedType,
            "native-type": _vm.nativeType,
            size: _vm.computedSize,
            disabled: _vm.disabled,
            loading: _vm.isLoading,
            autofocus: _vm.autofocus,
            circle: _vm.type === _vm.ButtonTypes.TERTIARY,
            icon: _vm.elementIcon
          },
          on: { click: _vm.handleClick }
        },
        [
          _vm.availableIcon
            ? _c("i", { class: [_vm.availableIcon] })
            : _vm._e(),
          _vm._v(" "),
          _vm._t("default")
        ],
        2
      )
    ],
    1
  )
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__ = function (inject) {
    if (!inject) return
    inject("data-v-28e95190_0", { source: "@font-face {\n  font-family: \"JetBrainsMono\";\n  src: url(\"~@/assets/fonts/JetBrainsMono-Regular.woff\");\n  font-weight: normal;\n  font-style: normal;\n}\n.loading {\n  padding: 12px 17.5px;\n}\n.loading > :not(i) {\n  color: transparent;\n}\n.loading i {\n  position: absolute;\n  left: 43%;\n}\n.big {\n  height: 56px;\n}\n.medium {\n  height: 40px;\n}\n.small {\n  height: 32px;\n}\n.primary:hover, .primary:active, .primary:focus {\n  background-color: #E75264;\n  border-color: #E75264;\n}\n.primary:disabled {\n  background-color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n.primary:disabled:hover {\n  background-color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n.secondary:hover, .secondary:active, .secondary:focus {\n  color: #2D2926;\n  background-color: #F1F3F4;\n  border-color: #75787B;\n}\n.secondary:disabled {\n  color: #C8C9C7;\n  border-color: #D9D9D6;\n}\n.secondary:disabled:hover {\n  color: #C8C9C7;\n  border-color: #D9D9D6;\n}\n.tertiary {\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n.tertiary.big {\n  width: 56px;\n}\n.tertiary.medium {\n  width: 40px;\n}\n.tertiary.small {\n  width: 32px;\n}\n.tertiary:hover, .tertiary:active, .tertiary:focus, .tertiary:disabled {\n  /* TODO: ux designers will create this state */\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n.tertiary:disabled:hover {\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n.delete {\n  color: #F0000B;\n  border-color: #F0000B;\n}\n.delete:disabled {\n  color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n.delete:disabled:hover {\n  color: #F6CCD1;\n  border-color: #F6CCD1;\n}\nbutton > span > i {\n  top: -10px;\n  left: -10px;\n}\n\n/*# sourceMappingURL=MyButton.vue.map */", map: {"version":3,"sources":["MyButton.vue","/Users/admin/Documents/projects/test-ui-ts-lib/src/components/Button/MyButton.vue"],"names":[],"mappings":"AAAA;EACE,4BAA4B;EAC5B,sDAAsD;EACtD,mBAAmB;EACnB,kBAAkB;AACpB;AC4HA;EACA,oBAAA;AD1HA;AC2HA;EACA,kBAAA;ADzHA;AC2HA;EACA,kBAAA;EACA,SAAA;ADzHA;AC6HA;EACA,YAAA;AD1HA;AC6HA;EACA,YAAA;AD1HA;AC6HA;EACA,YAAA;AD1HA;AC8HA;EACA,yBAAA;EACA,qBAAA;AD3HA;AC6HA;EACA,yBAAA;EACA,qBAAA;AD3HA;AC4HA;EACA,yBAAA;EACA,qBAAA;AD1HA;ACgIA;EACA,cAAA;EACA,yBAAA;EACA,qBAAA;AD7HA;AC+HA;EACA,cAAA;EACA,qBAAA;AD7HA;AC8HA;EACA,cAAA;EACA,qBAAA;AD5HA;ACiIA;EAUA,yBAAA;EACA,qBAAA;ADvIA;AC6HA;EACA,WAAA;AD3HA;AC6HA;EACA,WAAA;AD3HA;AC6HA;EACA,WAAA;AD3HA;AC+HA;EAAA,8CAAA;EACA,yBAAA;EACA,qBAAA;AD5HA;AC8HA;EACA,yBAAA;EACA,qBAAA;AD5HA;ACgIA;EACA,cAAA;EACA,qBAAA;AD7HA;AC8HA;EACA,cAAA;EACA,qBAAA;AD5HA;AC6HA;EACA,cAAA;EACA,qBAAA;AD3HA;ACgIA;EACA,UAAA;EACA,WAAA;AD7HA;;AAEA,uCAAuC","file":"MyButton.vue","sourcesContent":["@font-face {\n  font-family: \"JetBrainsMono\";\n  src: url(\"~@/assets/fonts/JetBrainsMono-Regular.woff\");\n  font-weight: normal;\n  font-style: normal;\n}\n.loading {\n  padding: 12px 17.5px;\n}\n.loading > :not(i) {\n  color: transparent;\n}\n.loading i {\n  position: absolute;\n  left: 43%;\n}\n\n.big {\n  height: 56px;\n}\n\n.medium {\n  height: 40px;\n}\n\n.small {\n  height: 32px;\n}\n\n.primary:hover, .primary:active, .primary:focus {\n  background-color: #E75264;\n  border-color: #E75264;\n}\n.primary:disabled {\n  background-color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n.primary:disabled:hover {\n  background-color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n\n.secondary:hover, .secondary:active, .secondary:focus {\n  color: #2D2926;\n  background-color: #F1F3F4;\n  border-color: #75787B;\n}\n.secondary:disabled {\n  color: #C8C9C7;\n  border-color: #D9D9D6;\n}\n.secondary:disabled:hover {\n  color: #C8C9C7;\n  border-color: #D9D9D6;\n}\n\n.tertiary {\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n.tertiary.big {\n  width: 56px;\n}\n.tertiary.medium {\n  width: 40px;\n}\n.tertiary.small {\n  width: 32px;\n}\n.tertiary:hover, .tertiary:active, .tertiary:focus, .tertiary:disabled {\n  /* TODO: ux designers will create this state */\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n.tertiary:disabled:hover {\n  background-color: #F1F3F4;\n  border-color: #F1F3F4;\n}\n\n.delete {\n  color: #F0000B;\n  border-color: #F0000B;\n}\n.delete:disabled {\n  color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n.delete:disabled:hover {\n  color: #F6CCD1;\n  border-color: #F6CCD1;\n}\n\nbutton > span > i {\n  top: -10px;\n  left: -10px;\n}\n\n/*# sourceMappingURL=MyButton.vue.map */","<template>\n  <el-tooltip :content=\"tooltip\" placement=\"right\" :disabled=\"!tooltip\">\n    <el-button\n      :type=\"computedType\"\n      :native-type=\"nativeType\"\n      :size=\"computedSize\"\n      :class=\"computedClasses\"\n      :disabled=\"disabled\"\n      :loading=\"isLoading\"\n      :autofocus=\"autofocus\"\n      :circle=\"type === ButtonTypes.TERTIARY\"\n      :icon=\"elementIcon\"\n      @click=\"handleClick\"\n    >\n      <i v-if=\"availableIcon\" :class=\"[availableIcon]\"></i>\n      <slot></slot>\n    </el-button>\n  </el-tooltip>\n</template>\n\n<script lang=\"ts\">\nimport { Vue, Component, Prop } from 'vue-property-decorator'\n\nimport { ButtonTypes, ButtonSize, ButtonNativeTypes } from './consts'\n\n@Component\nexport default class MyButton extends Vue {\n  readonly ButtonTypes = ButtonTypes\n\n  /**\n   * Type of button. Possible values: \"primary\", \"secondary\", \"tertiary\", \"delete\".\n   * By default it's set to \"primary\"\n   */\n  @Prop({ default: ButtonTypes.PRIMARY, type: String }) readonly type!: string\n  /**\n   * Size of button. Possible values: \"big\", \"medium\", \"small\".\n   * By default it's set to \"big\"\n   */\n  @Prop({ default: ButtonSize.BIG, type: String }) readonly size!: string\n  /**\n   * Icon name from icon collection of this library\n   */\n  @Prop({ default: '', type: String }) readonly icon!: string\n  /**\n   * Disable state\n   */\n  @Prop({ default: false, type: Boolean }) readonly disabled!: boolean\n  /**\n   * Loading state. Only \"tertiary\" button cannot have this state\n   *\n   * If you use `loading` state for one button, for instance, [Send][Cancel], and \"send\" button sent\n   * request to back-end side, you should use `loading` state ONLY for \"send\" button and apply this flag\n   * to \"cancel\" button `disabled` state. So, if \"send\" has `loading` state, \"cancel\" should be `disabled`\n   */\n  @Prop({ default: false, type: Boolean }) readonly loading!: boolean\n  /**\n   * Autofocus property, same as native button's `autofocus`\n   */\n  @Prop({ default: false, type: Boolean }) readonly autofocus!: boolean\n  /**\n   * Tooltip\n   */\n  @Prop({ default: '', type: String }) readonly tooltip!: string\n  /**\n   * Button's native type. Possible values: \"button\", \"submit\", \"reset\".\n   * By default it's set to \"button\"\n   */\n  @Prop({ default: ButtonNativeTypes.BUTTON, type: String }) readonly nativeType!: string\n\n  elementIcon = ''\n\n  get computedSize (): string {\n    if (this.size === ButtonSize.BIG ||\n      !(Object.values(ButtonSize) as Array<string>).includes(this.size)) {\n      return ''\n    }\n    return this.size\n  }\n\n  get computedType (): string {\n    if (this.type === ButtonTypes.PRIMARY) {\n      return this.type\n    }\n    return 'plain'\n  }\n\n  get computedClasses (): Array<string> {\n    const cssClasses: Array<string> = []\n    if ((Object.values(ButtonSize) as Array<string>).includes(this.size)) {\n      cssClasses.push(this.size)\n    }\n    if ((Object.values(ButtonTypes) as Array<string>).includes(this.type)) {\n      cssClasses.push(this.type)\n    }\n    if (this.isLoading) {\n      cssClasses.push('loading')\n    }\n    return cssClasses\n  }\n\n  get availableIcon (): string {\n    if (!this.icon) {\n      return ''\n    }\n    if (this.icon.startsWith('el-')) {\n      this.elementIcon = this.icon\n      return ''\n    }\n    // TODO: add checks for invalid icons\n    this.elementIcon = ''\n    return `icon-${this.icon}`\n  }\n\n  get isLoading (): boolean {\n    if (this.type === ButtonTypes.TERTIARY) {\n      return false\n    }\n    return this.loading\n  }\n\n  handleClick (): void {\n    this.$emit('click')\n  }\n}\n</script>\n\n<style lang=\"scss\">\n@import \"../../styles/variables.scss\";\n\n.loading {\n  padding: 12px 17.5px;\n  > :not(i) {\n    color: transparent;\n  }\n  i {\n    position: absolute;\n    left: 43%;\n  }\n}\n\n.big {\n  height: $size-big;\n}\n\n.medium {\n  height: $size-medium;\n}\n\n.small {\n  height: $size-small;\n}\n\n.primary {\n  &:hover, &:active, &:focus {\n    background-color: $color-main-hover;\n    border-color: $color-main-hover;\n  }\n  &:disabled {\n    background-color: $color-main-inactive;\n    border-color: $color-main-inactive;\n    &:hover {\n      background-color: $color-main-inactive;\n      border-color: $color-main-inactive;\n    }\n  }\n}\n\n.secondary {\n  &:hover, &:active, &:focus {\n    color: $color-basic-black;\n    background-color: $color-neutral-placeholder;\n    border-color: $color-neutral-secondary;\n  }\n  &:disabled {\n    color: $color-neutral-inactive;\n    border-color: $color-neutral-border;\n    &:hover {\n      color: $color-neutral-inactive;\n      border-color: $color-neutral-border;\n    }\n  }\n}\n\n.tertiary {\n  &.big {\n    width: $size-big;\n  }\n  &.medium {\n    width: $size-medium;\n  }\n  &.small {\n    width: $size-small;\n  }\n  background-color: $color-neutral-placeholder;\n  border-color: $color-neutral-placeholder;\n  &:hover, &:active, &:focus, &:disabled { /* TODO: ux designers will create this state */\n    background-color: $color-neutral-placeholder;\n    border-color: $color-neutral-placeholder;\n  }\n  &:disabled:hover {\n    background-color: $color-neutral-placeholder;\n    border-color: $color-neutral-placeholder;\n  }\n}\n\n.delete {\n  color: $color-error;\n  border-color: $color-error;\n  &:disabled {\n    color: $color-main-inactive;\n    border-color: $color-main-inactive;\n    &:hover {\n      color: $color-main-inactive;\n      border-color: $color-main-inactive;\n    }\n  }\n}\n\nbutton > span > i {\n  top: -10px;\n  left: -10px;\n}\n</style>\n"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    createInjector,
    undefined,
    undefined
  );

/* script */

/* template */
var __vue_render__$1 = function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("el-button-group", [_vm._t("default")], 2)
};
var __vue_staticRenderFns__$1 = [];
__vue_render__$1._withStripped = true;

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    {},
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

const components = [
    __vue_component__,
    __vue_component__$1
];
const MyElements = {
    install(vue) {
        components.forEach(component => vue.component(component.name, component));
    }
};
if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(MyElements, {});
}

export default MyElements;
export { __vue_component__ as MyButton, __vue_component__$1 as MyButtonGroup };
//# sourceMappingURL=test-ui-ts-lib.esm.js.map
